<%
	Option Explicit
%>

<!--#include file= "classes\cConnexio.inc"-->
<!--#include file= "includes\config_db.inc"-->
<!--#include file= "classes\cAccessMiembro.inc"-->
<!--#include file= "classes\cMiembro.inc"-->
<!--#include file= "includes\sec_functions.inc"-->

<%
	Dim oCon 'As cConnexio
	Set oCon = New cConnexio

	oCon.fNew Server.MapPath(DATABASE)
	
	Dim oAccessMiembro 'As cAccessMiembro
	Set oAccessMiembro = New cAccessMiembro
	oAccessMiembro.fNew oCon

	'oCon.fClose	

	Dim logged
	If GetLoggedUser <> "" Then
		logged = True
	Else
		logged = False
	End If

	section = "Miembros"
%>

<!--#include file= "includes\html_ini.inc"-->

<script>
$( function() {
	function validateLogin() {
		loadData("login.asp", "#login-form", doLogin);
	}

	function doLogin(response) {
		if(response.status == "ok") {
			goToSocio(response.username);
		} else {
			$("#login-message").html(response.message);
			$("#login-message").show();
		}
	}

	dialog = $( "#login-dialog" ).dialog({
		dialogClass: 'login-dialog',
		autoOpen: false,
		height: 280,
		width: 250,
		modal: true,
		resizable: false,
		buttons: {
			Accept: {
				click: validateLogin,
				text: "Entrar",
				class: "button"
			},
			Cancel: {
				click: function() {
						$("#login-form")[0].reset();
						dialog.dialog( "close" );
					},
				text: "Cancelar",
				class: "button"
			}
		},
		close: function() {
			$("#login-form")[0].reset();
		}
	});
	
	$('#login-form').keydown(function(e) {
		var key = e.which;
		if (key == 13) {
			// As ASCII code for ENTER key is "13"
			validateLogin();
		}
	});

    $( "#login" ).on( "click", function() {
		$("#login-message").hide();
		dialog.dialog( "open" );
    });
});
</script>

<div id="login-dialog" title="Introduce tus datos" style="display: none;">
	<div id="login-message" class="error-message"></div>
	<form id="login-form">
		<p>
			<label for="username">Usuario</label><br/>
			<input type="text" name="username" id="username" class="text ui-widget-content ui-corner-all"/>
		</p>
		<p>
			<label for="password">Contrase&ntilde;a</label><br/>
			<input type="password" name="password" id="password" class="text ui-widget-content ui-corner-all"/>
		</p>
	</form>
</div>

<div class="login">
<% If logged = False Then %>
	<input id="login" type="button" class="miembro" value="Entrar" />
<% Else %>
	<input id="logout" type="button" class="miembro" value="Salir" onclick="javascript:window.location='logout.asp'" />
<% End If %>
</div>

<div class="miembros">
	<%
		Dim miembros 'As Collection
		Set miembros = oAccessMiembro.fGetMiembros()
		
		Dim i 'As Integer
		For Each i In miembros
	%>
		<div class="miembro" onclick="javascript:goToSocio('<%=miembros(i).fGetUsername%>')">
			<%=miembros(i).fGetApellidos%>, <%=miembros(i).fGetNombre%>
		</div>
	<% 	Next %>
</div>

<!--#include file= "includes\html_end.inc"-->